﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="CallbackSample._Default" %>

<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>

    <script type="text/javascript">
        var oMap;
        
        var OnMapCreated=function(map){
            oMap = map;
            oMap.events.register('click',oMap,findLayerClick);
        }

        function findLayerClick(e) {
            var lonlat=oMap.getLonLatFromPixel(e.xy);
            var info="LonLat:"+lonlat.lon+","+lonlat.lat;
            callServer(info);
        }
    
        function callServer(arg) {
            var argument=arg;
            var context = Map1;
            <%=ClientScript.GetCallbackEventReference(this,"argument","callback", "context") %>
        }
        
        function callback(result, context){
            var json = Sys.Serialization.JavaScriptSerializer.deserialize(result);
            // add your own popup
            var popup = new OpenLayers.Popup.FramedCloud(json.Id,
                        new OpenLayers.LonLat(json.X, json.Y),
                        new OpenLayers.Size(100, 100),
                        json.Id,
                        null,
                        true);
                        
            hideAllPopup();
            oMap.addPopup(popup);
            popup.show();
        }
        
        function hideAllPopup() {
            for (i in oMap.popups) {
                if (oMap.popups[i].visible()) {
                    oMap.popups[i].hide();
                }
            }
        }
    </script>

</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>
        <cc1:Map ID="Map1" runat="server" Height="480px" Width="640px">
        </cc1:Map>
    </div>
    </form>
</body>
</html>
